# C++ wreport namespace

- Error handling
  - Error management
- Unit conversion
  - Unit conversion functions
- Variables
  - Variable metadata
  - Variable
  - Variable metadata tables
- Bulletin
  - `wreport::Bulletin`
  - `wreport::BufrCodecOptions`
  - `wreport::BufrBulletin`
  - `wreport::CrexBulletin`
  - `wreport::Subset`

The C++ API documentation is also available as doxgen documentation.